dtestx(1)

NAME
dtestx - simple uDAPL extensions test

SYNOPSIS
dtestx [-vmpqc] [-u|-U ep num] [-P provider] [-b buf size] [ -s | -h HOSTNAME ]

DESCRIPTION

dtestx is a simple test used to test extensions to the DAT API. At least two instantiations of the test must be run. One acts as the server and the other the client. The server side of the test, once invoked listens for connection requests, until timing out or killed. Upon receipt of a cd connection request, the connection is established, the server and client sides exchange information necessary to perform extensions test.

Extensions tests are:
    1. Post rdma write with immediate data
    2. Atomic compare and swap
    3. Atomic fetch and add
    Note: In case -q is set only query test will run.

OPTIONS

-P=PROVIDER
    use PROVIDER to specify uDAPL interface using /etc/dat.conf (default ofa-v2-mlx4_0-1u)

-h=HOSTNAME
    use HOSTNAME to specify server hostname or IP address (default - none)

-b=BUFFER_SIZE
    use buffer size BUFFER_SIZE for RDMA(default 64)

-U=EP_COUNT
    use EP_COUNT to specify unreliable datagram test with EP_COUNT UD endpoints (default - none)

-v, verbose output(default off)

-q, query only test (default off)

-u, unreliable datagram test (default no)

-s, run as server (default - run as server)

-c, run as client (for non UD tests, -h is always client)

-p, print counters. Provide IA, EP, or EVD and call will print appropriate counters (default off)

-m, multi ep. in ud test only. receive multi messages on single EP. (default off - receive one message across multiple EPs)

EXAMPLES

dtestx -P ofa-v2-ib0 -v -s

     Starts a server process with debug verbosity using provider ofa-v2-ib0.

dtestx -P ofa-v2-ib0 -h server1-ib0

     Starts a client process, using ofa-v2-ib0 provider to connect to hostname server1-ib0.

SEE ALSO
dtest(1), dtestsrq(1), dtestcm(1), dapltest(1)

AUTHORS

Arlin Davis
    <arlin.r.davis@intel.com>

Amir Hanania
    <amir.hanania@intel.com>